using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace WindowsGame1
{
    class Enemy : GameObject
    {
        public Enemy(Game1 game)
            : base(game.EnemyRep_texture, game)
        {
            velocity = new Vector2(-200-(float)game.random.NextDouble()*150, 0);
            team = Team.enemy;
        }

        public override void CollideWith(GameObject other)
        {
            if (!ImportantCollision(other)) return;
            // update score
            this.alive = false;
        }
    }
}
